Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class PartyIdentification135

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.PartyIdentification135

    public class PartyIdentification135
    extends java.lang.Object

Java class for PartyIdentification135 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentification135">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max140Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}PostalAddress24" minOccurs="0"/>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Party38Choice" minOccurs="0"/>
             <element name="CtryOfRes" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CountryCode" minOccurs="0"/>
             <element name="CtctDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Contact4" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected Contact4` `ctctDtls`
`protected java.lang.String` `ctryOfRes`
`protected Party38Choice` `id`
`protected java.lang.String` `nm`
`protected PostalAddress24` `pstlAdr`

### Constructor Summary

Constructors
`PartyIdentification135()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Contact4` `getCtctDtls()` Gets the value of the ctctDtls property.
`java.lang.String` `getCtryOfRes()` Gets the value of the ctryOfRes property.
`Party38Choice` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`PostalAddress24` `getPstlAdr()` Gets the value of the pstlAdr property.
`void` `setCtctDtls​(Contact4 value)` Sets the value of the ctctDtls property.
`void` `setCtryOfRes​(java.lang.String value)` Sets the value of the ctryOfRes property.
`void` `setId​(Party38Choice value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setPstlAdr​(PostalAddress24 value)` Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nm

    protected java.lang.String nm

#### pstlAdr

    protected PostalAddress24 pstlAdr

#### id

    protected Party38Choice id

#### ctryOfRes

    protected java.lang.String ctryOfRes

#### ctctDtls

    protected Contact4 ctctDtls

### Constructor Detail

#### PartyIdentification135

    public PartyIdentification135()

### Method Detail

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getPstlAdr

    public PostalAddress24 getPstlAdr()

Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress24`

#### setPstlAdr

    public void setPstlAdr​(PostalAddress24 value)

Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress24`

#### getId

    public Party38Choice getId()

Gets the value of the id property.

Returns:
  possible object is `Party38Choice`

#### setId

    public void setId​(Party38Choice value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `Party38Choice`

#### getCtryOfRes

    public java.lang.String getCtryOfRes()

Gets the value of the ctryOfRes property.

Returns:
  possible object is `String`

#### setCtryOfRes

    public void setCtryOfRes​(java.lang.String value)

Sets the value of the ctryOfRes property.

Parameters:
  `value` - allowed object is `String`

#### getCtctDtls

    public Contact4 getCtctDtls()

Gets the value of the ctctDtls property.

Returns:
  possible object is `Contact4`

#### setCtctDtls

    public void setCtctDtls​(Contact4 value)

Sets the value of the ctctDtls property.

Parameters:
  `value` - allowed object is `Contact4`